netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
uam.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <ctype.h>`
`#include <atalk/logger.h>`
`#include <sys/param.h>`
`#include <sys/time.h>`
`#include <atalk/asp.h>`
`#include <atalk/dsi.h>`
`#include <atalk/afp.h>`
`#include <atalk/util.h>`
`#include "uam_auth.h"`

## Functions
struct uam_mod * | uam_load (const char *path, const char *name)
void | uam_unload (struct uam_mod *mod)
| unload the module.
int | uam_register (const int type, const char *path, const char *name,...)
void | uam_unregister (const int type, const char *name)
int | uam_afpserver_option (void *private, const int what, void *option, size_t *len)
struct passwd * | uam_getname (void *private, char *name, const int len)
| helper functions for plugin uams
int | uam_checkuser (void *private, const struct passwd *pwd)

## Function Documentation

## ◆ uam_afpserver_option()

int uam_afpserver_option | ( | void * | private,
|  | const int | what,
|  | void * | option,
|  | size_t * | len )

Crap to support uams which call this afpd function

## ◆ uam_checkuser()

int uam_checkuser | ( | void * | private,
|  | const struct passwd * | pwd )

## ◆ uam_getname()

struct passwd * uam_getname | ( | void * | private,
|  | char * | name,
|  | const int | len )

helper functions for plugin uams

Parameters

  private | pointer to AFPObj
  name | user name
  len | size of name buffer.

## ◆ uam_load()

struct uam_mod * uam_load | ( | const char * | path,
|  | const char * | name )

## ◆ uam_register()

int uam_register | ( | const int | type,
|  | const char * | path,
|  | const char * | name,
|  |  | ... )

set up stuff for this uam.

## ◆ uam_unload()

void uam_unload | ( | struct uam_mod * | mod | ) |

unload the module.

we check for a cleanup function, but we don't die if one doesn't exist. however, things are likely to leak without one.

## ◆ uam_unregister()

void uam_unregister | ( | const int | type,
|  | const char * | name )